/* region Override */

.btn-primary {
    --bs-btn-color: #000;
    --bs-btn-bg: #dfc51c;
    --bs-btn-border-color: #dfc51c;
    --bs-btn-hover-color: #000;
    --bs-btn-hover-bg: #fac82a : #fac82a;
    --bs-btn-hover-border-color: #fac82a;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #000;
    --bs-btn-active-bg: #fac82a;
    --bs-btn-active-border-color: #fac82a;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #fac82a;
    --bs-btn-disabled-border-color: #fac82a;
}
.btn-outline-primary {
    --bs-btn-color: #dfc51c;
    --bs-btn-border-color: #dfc51c;
    --bs-btn-hover-color: #fff : #fff;
    --bs-btn-hover-bg: #dfc51c;
    --bs-btn-hover-border-color: #dfc51c;
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #dfc51c;
    --bs-btn-active-border-color: #dfc51c;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #dfc51c;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #dfc51c;
    --bs-gradient: none;
}
/* endregion Override */

html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}

/*Loading*/
.loading {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    text-align: center;
    padding: 45vh;
    z-index: 9999;
    display: none;
}

.showloading .loading {
    display: block;
}

.loading-back {
    opacity: 0.5;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: black;
}

.loading-text {
    position: relative;
    background-color: white;
    margin: 7.5px 0;
    padding: 20px;
    border: 1px solid #e7e7e7;
    border-radius: 3px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
    color: black;
    font-size: xx-large;
}
.loading-logo {
    animation: rotation 3s infinite linear;
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 50px;
    color: white;
    transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
}

@keyframes rotation {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(359deg);
    }
}
/*Loading end*/
.nav-control {
    margin: 5px;
    color: #dfc51c;
    padding: 5px 15px 15px 15px;
    border: 2px solid #dfc51c;
    border-radius: 15px;
    text-align: center;
    max-width: 450px;
    z-index: 51;
}
    .nav-control:hover .nav-control-extension {
        display: block;
    }
.nav-control-extension {
    display:none;
    position: absolute;
    margin-left: -17px;
    padding: 15px;
    color: #dfc51c;
    background-color: black;
    text-align: center;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    border-bottom: 2px solid #dfc51c;
    border-left: 2px solid #dfc51c;
    border-right: 2px solid #dfc51c;
    width:100%;
    max-width: 298px;
    z-index: 50;
}
.nav-control-extension .btn {
    margin-bottom:3px;
}

.chart-container {
    display: inline-block;
    border: 1px solid black;
    position:relative;
}
.chart-container-title {
    text-align: center;
    font-weight: bold;
    color: white;
    background-color: black;
    padding: .5rem .5rem;
}
.chart-container table {
    margin-bottom: 0px;
    margin-left: 5px;
    width: calc(100% - 10px);
}
    .chart-container th {
        color: white;
        background: black;
        border: 1px groove #AAA;
    }

    .numeric-col {
        text-align: right;
        font-variant-numeric: tabular-nums;
    }
.sortable-column {
    cursor: pointer;
}

    .sortable-column::after {
        font-family: "Font Awesome 6 Free";
        font-weight: 900;
        content: "\f0dc"; /*sort*/
        margin-left: 10px;
    }

    .sortable-column.sort-direction-up::after {
        font-family: "Font Awesome 6 Free";
        font-weight: 900;
        content: "\f0de"; /*sort*/
        margin-left: 10px;
    }

    .sortable-column.sort-direction-down::after {
        font-family: "Font Awesome 6 Free";
        font-weight: 900;
        content: "\f0dd"; /*sort*/
        margin-left: 10px;
    }
.error-text {
    background-color: red;
    color: white;
}
